<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <form class="ui form" id="property-form" method="post" th:object="${property}">
    <input type="hidden" th:field="*{pk.application.id}" />
    <input type="hidden" th:field="*{pk.environment.id}" />
    <h2 class="ui dividing header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_PROPERTIES}" th:classappend=" blue"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY}}"></span>
    </h2>
    <div class="fields">
      <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_GROUP}}, 
      	                                                              field = 'pk.property.id', 
      	                                                              options = ${properties},
      	                                                              optionfield = 'item.name',
      	                                                              required = true,
      	                                                              columnsize = 'sixteen wide',
                                                                      emptyoption = true
      	                                                              )" />
    </div>
    <div class="fields">
      <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_VALUE}}, 
                                                              field = 'value', 
                                                              required = true, 
                                                              maxlength = 50, 
                                                              placeholder = '',
                                                              columnsize = 'sixteen wide'
                                                              )" />
    </div>
    <br />
    <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
            	                                                  icon1text =${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
            	                                                  icon1url = '',
            	                                                  )" />
    <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
  </form>
</body>
</html>